curl --request GET \
--url https://yoursite.com/wp-json/getmcp/v1/servers/1/resources \
--header 'Authorization: Bearer gmcp_your_api_key'
[
{
"id": 1,
"server_id": 1,
"uri": "docs://api-overview",
"name": "API Overview",
"description": "Overview of available tools and their usage",
"mime_type": "text/markdown",
"data_source_type": "static",
"data_source_config": {
"content": "# API Overview\n\nThis server provides weather tools..."
},
"template_uri": null,
"server_uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
"created_at": "2025-03-01T10:00:00Z",
"updated_at": "2025-03-01T10:00:00Z"
}
]
Resources
List Resources
Retrieve all resources configured for a specific server.
GET
/
wp-json
/
getmcp
/
v1
/
servers
/
{server_id}
/
resources
curl --request GET \
--url https://yoursite.com/wp-json/getmcp/v1/servers/1/resources \
--header 'Authorization: Bearer gmcp_your_api_key'
[
{
"id": 1,
"server_id": 1,
"uri": "docs://api-overview",
"name": "API Overview",
"description": "Overview of available tools and their usage",
"mime_type": "text/markdown",
"data_source_type": "static",
"data_source_config": {
"content": "# API Overview\n\nThis server provides weather tools..."
},
"template_uri": null,
"server_uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
"created_at": "2025-03-01T10:00:00Z",
"updated_at": "2025-03-01T10:00:00Z"
}
]
Path Parameters
The UUID (preferred), slug, or numeric ID of the server whose resources to list.
Response Headers
| Header | Description |
|---|---|
X-WP-Total | Total number of resources |
curl --request GET \
--url https://yoursite.com/wp-json/getmcp/v1/servers/1/resources \
--header 'Authorization: Bearer gmcp_your_api_key'
[
{
"id": 1,
"server_id": 1,
"uri": "docs://api-overview",
"name": "API Overview",
"description": "Overview of available tools and their usage",
"mime_type": "text/markdown",
"data_source_type": "static",
"data_source_config": {
"content": "# API Overview\n\nThis server provides weather tools..."
},
"template_uri": null,
"server_uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
"created_at": "2025-03-01T10:00:00Z",
"updated_at": "2025-03-01T10:00:00Z"
}
]
⌘I

